OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | List of all members
BuildPrimarySegment< TreeType, Operation > Struct Template Reference

`#include <Composite.h>`

## Public Types
typedef TreeType::ValueType | ValueType
typedef TreeType::Ptr | TreePtrType
typedef TreeType::LeafNodeType | LeafNodeType
typedef LeafNodeType::NodeMaskType | NodeMaskType
typedef TreeType::RootNodeType | RootNodeType
typedef RootNodeType::NodeChainType | NodeChainType
typedef boost::mpl::at< NodeChainType, boost::mpl::int_< 1 > >::type | InternalNodeType

## Public Member Functions
| BuildPrimarySegment (const TreeType &lhs, const TreeType &rhs)
void | operator() () const
TreePtrType & | segment ()

## Member Typedef Documentation

## ◆ InternalNodeType

typedef boost::mpl::at<NodeChainType, boost::mpl::int_<1> >::type InternalNodeType

## ◆ LeafNodeType

typedef TreeType::LeafNodeType LeafNodeType

## ◆ NodeChainType

typedef RootNodeType::NodeChainType NodeChainType

## ◆ NodeMaskType

typedef LeafNodeType::NodeMaskType NodeMaskType

## ◆ RootNodeType

typedef TreeType::RootNodeType RootNodeType

## ◆ TreePtrType

typedef TreeType::Ptr TreePtrType

## ◆ ValueType

typedef TreeType::ValueType ValueType

## Constructor & Destructor Documentation

## ◆ BuildPrimarySegment()

BuildPrimarySegment | ( | const TreeType & | lhs,
|  | const TreeType & | rhs
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( |  | ) | const
| inline

## ◆ segment()

TreePtrType& segment | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- Composite.h